function fig = finalizePowerCurve( fig )
    figure( fig );
    hold on
    xlim( [ 0, Inf ] )
%     ylim( [ 0, Inf ] )
    zlim( [ 0, Inf ] )
    legend( "Mechanical Power", "Electrical Power", "Location", "Best" )
    hold off
end